Airdrop

List Airdrop External Sync Units

GET
/airdrop.external-sync-units.list

Lists external sync units.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

keyring*string

Keyring that will be used for external sync unit listing.

Formatid
cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
filter.external_sync_unit_name?string

External sync unit name.

Formattext
filter.external_system_type?string

External system type.

Value in"adaas" | "confluence" | "github" | "hubspot" | "jira" | "jira_data_center" | "linear" | "rocketlane" | "s3" | "salesforce_sales" | "salesforce_service" | "servicenow" | "sim" | "zendesk"
filter.import_slug?string

Import slug of the connector.

Formattext
filter.snap_in_slug?string

Snap in slug of the connector.

Formattext
filter.used?boolean

Filter for external sync units that are used.

limit?integer

The maximum number of items to return. The default is '50'.

Formatint32
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/airdrop.external-sync-units.list?keyring=string"
{
  "external_sync_units": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0
    }
  ],
  "next_cursor": "string",
  "prev_cursor": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}